Skip to main content
`Ctrl`+`K`

# VECMPIVIENNACL

VECMPIVIENNACL = “mpiviennacl” - The basic parallel vector, modified to use ViennaCL

## Options Database Keys

- -vec_type mpiviennacl - sets the vector type to VECMPIVIENNACL during a call to VecSetFromOptions()

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateMPIWithArray()`, `VECMPI`, `VecType`, `VecCreateMPI()`, `VecCreateMPI()`

## Level

beginner

## Location

src/vec/vec/impls/mpi/mpiviennacl/mpiviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages